Subject: bug#7524: 24.0.50; backquote converts newlines in strings to "\n"

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 22 Oct 2020 14:31:04 +0200

Mauro Aranda <[email-masked]> writes:

> If I understand this bug report correctly, the wishlist item is about
> pretty printing restricted-sexp values, which makes sense to me.  Values
> of the sexp widget already get pretty-printed, but not the values of the
> restricted-sexp widget.
>
> I attach a patch to pretty-print restricted sexp values too, by using the
> same function that the sexp widget uses.

I think that makes sense, even if my understanding of the widget code is
limited, so I've applied this to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no